org.apache.http.conn.routing

## Class BasicRouteDirector

- java.lang.Object
- - org.apache.http.conn.routing.BasicRouteDirector

- All Implemented Interfaces:
    HttpRouteDirector

      @Contract(threading=IMMUTABLE)
      public class BasicRouteDirector
      extends Object
      implements HttpRouteDirector

  基本`HttpRouteDirector`实现。
  从以下版本开始：
    4

- - ### Field Summary

    - ### Fields inherited from interface org.apache.http.conn.routing.HttpRouteDirector

      `COMPLETE, CONNECT_PROXY, CONNECT_TARGET, LAYER_PROTOCOL, TUNNEL_PROXY, TUNNEL_TARGET, UNREACHABLE`

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `BasicRouteDirector()`

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `directStep(RouteInfo plan, RouteInfo fact)` 确定建立直接连接的下一步。
    `protected int` | `firstStep(RouteInfo plan)` 确定建立路线的第一步。
    `int` | `nextStep(RouteInfo plan, RouteInfo fact)` 提供下一步。
    `protected int` | `proxiedStep(RouteInfo plan, RouteInfo fact)` 确定通过代理建立连接的下一步。

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 构造方法详细信息

    - #### BasicRouteDirector

          public BasicRouteDirector()

  - ### 方法详细信息

    - #### nextStep

          public int nextStep(RouteInfo plan,
                     RouteInfo fact)

      提供下一步。
      Specified by:
        `nextStep`在接口 `HttpRouteDirector`
      参数
        `plan` - 计划路线
        `fact` - 当前建立的路由，或 `null`如果没有建立
      结果
        此类中定义的常量之一，表示执行下一步或成功或失败。 0是成功的，失败的负值。

    - #### firstStep

          protected int firstStep(RouteInfo plan)

      确定建立路线的第一步。
      参数
        `plan` - 计划路线
      结果
        第一步

    - #### directStep

          protected int directStep(RouteInfo plan,
                       RouteInfo fact)

      确定建立直接连接的下一步。
      参数
        `plan` - 计划路线
        `fact` - 目前已建立的路线
      结果
        此类中定义的常量之一，表示执行下一步或成功或失败

    - #### proxiedStep

          protected int proxiedStep(RouteInfo plan,
                        RouteInfo fact)

      确定通过代理建立连接的下一步。
      参数
        `plan` - 计划路线
        `fact` - 目前建立的路线
      结果
        此类中定义的常量之一，表示执行下一步或成功或失败

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585